%define name	kshutdown
%define version	0.7.0
%define release	%mkrel %rel
%define rel     0.1beta.1
%define __libtoolize /bin/true
%define __cputoolize /bin/true

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        KShutDown is an advanced shut down utility for KDE
Summary(fr):    KShutDown est un outils avanc de gestion de l'extinction  
License:        GPL
Group:		Graphical desktop/KDE
Source:	        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}_beta.tar.bz2	
Source10: 	%name-16.png
Source11: 	%name-32.png
Source12: 	%name-48.png

Patch0:         kshutdown-0.7.0_beta-fix-include.patch

URL:		http://kshutdown.sourceforge.net/
Requires:	kdebase 
BuildRequires:  kdelibs-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
KShutDown is an advanced shut down utility for KDE.
Features:
- Shut Down (logout and halt the system)
- Reboot (logout and reboot the system)
- Lock Screen (lock the screen using a screen saver)
- Logout (end the session and logout the user)
- Extras (user commands)
- Wizard
- Time and delay options
- Command line support
- System tray
- Sounds
- Kiosk support
- And more...

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}_beta

%patch0 -p1
%build

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
mkdir -p %buildroot%_datadir
mkdir -p %buildroot%_datadir/apps
mkdir -p %buildroot%_datadir/apps/kconf_update/


%makeinstall_std
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png


kdedesktop2mdkmenu.pl %name "Applications/Monitoring" %buildroot/%_datadir/applications/kshutdown.desktop %buildroot/%_menudir/%name

%find_lang %name

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING TODO VERSION AUTHORS README
%_menudir/%{name}
%attr(0755,root,root) %{_bindir}/%{name}
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/locolor/*/apps/%{name}.png
%_datadir/applications/kshutdown.desktop
%_datadir/apps/kconf_update/%{name}.upd
#%_datadir/applnk/Utilities/%{name}wizard.desktop
%_datadir/apps/kicker/applets/kshutdownlockout.desktop
%_datadir/apps/%{name}/*


%_datadir/doc/HTML/en/kshutdown/common
%_datadir/doc/HTML/en/kshutdown/faq-cs.docbook
%_datadir/doc/HTML/en/kshutdown/faq-en.docbook
%_datadir/doc/HTML/en/kshutdown/index.cache.bz2
%_datadir/doc/HTML/en/kshutdown/index.docbook
%_datadir/doc/HTML/en/kshutdown/mainwindow.png
%_datadir/doc/HTML/en/kshutdown/systemtray.png
#%_datadir/doc/HTML/en/kshutdown/wizard.png



%_libdir/kde3/kshutdownlockout_panelapplet.la
%_libdir/kde3/kshutdownlockout_panelapplet.so

%changelog
* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.1beta.1mdk
- 0.7.0 Beta 1
- Patch 0 : Fix include

* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-3mdk
- Fix File Section

* Mon Apr 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Fix build for amd64

* Sat Mar 05 2005 Sebastien Savarin <plouf@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Fri Feb 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-0.beta.1mdk
            - From Sebastien Savarin <plouf@zarb.org>                            
                 - first release
